/* gmcalenum.h */

#ifndef __GMCAL_ENUM_H__
#define __GMCAL_ENUM_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

enum {
  GMCAL_BASIC=1,
  GMCAL_SIMPLE,
  GMCAL_READ,
  GMCAL_WRITE,
  GMCAL_SPLINE,
  GMCAL_ABEL
};

enum {
  GMCAL_SUCCESS=0,
  GMCAL_SINGULAR_MATRIX,
  GMCAL_DIMENSION_LESS_THAN_1,
  GMCAL_NOT_ENOUGH_MEMORY,
  GMCAL_X_IS_NULL,
  GMCAL_X_0_NOT_NULL,
  GMCAL_X_0_IS_NULL,
  GMCAL_Y_IS_NULL,
  GMCAL_Y_0_NOT_NULL,
  GMCAL_Y_0_IS_NULL,
  GMCAL_Z_IS_NULL,
  GMCAL_Z_0_NOT_NULL,
  GMCAL_Z_0_IS_NULL,
  GMCAL_DIVISION_BY_ZERO
};

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GMCAL_ENUM_H__ */

